> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Funds Recovery Request

> Use this endpoint to cancel a funds recovery request. Cancellation is allowed before refund has been initiated (CREATED, TRACKED, AWAITING_ANALYSIS, or ANALYSED status).

**Notes:**
- Cancelled requests cannot be reopened or modified
- Cancellation is not allowed for requests in REFUNDING, COMPLETED, or CANCELLED status



## OpenAPI

````yaml en/openapi/v3-current/indirect-pix.yaml POST /v1/dict/funds-recoveries/{funds_recovery_id}/cancel
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/funds-recoveries/{funds_recovery_id}/cancel:
    post:
      tags:
        - Funds Recovery API
      summary: Cancel a Funds Recovery Request
      description: >-
        Use this endpoint to cancel a funds recovery request. Cancellation is
        allowed before refund has been initiated (CREATED, TRACKED,
        AWAITING_ANALYSIS, or ANALYSED status).


        **Notes:**

        - Cancelled requests cannot be reopened or modified

        - Cancellation is not allowed for requests in REFUNDING, COMPLETED, or
        CANCELLED status
      parameters:
        - name: funds_recovery_id
          in: path
          description: Funds Recovery ID (UUID format)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelFundsRecoveryOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    CancelFundsRecoveryOutput:
      properties:
        bacenFundsRecoveryId:
          example: 91d65e98-97c0-4b0f-b577-73625da1f9fc
          type: string
        contactInformation:
          $ref: '#/components/schemas/ContactInformation'
        createdAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
        id:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        reportDetails:
          example: Customer reported receiving a call from fake bank employee
          type: string
        reporterParticipant:
          example: '12345678'
          type: string
        rootTransactionId:
          example: E12345678202411241430ABCDEFGHIJK
          type: string
        situationType:
          enum:
            - SCAM
            - ACCOUNT_TAKEOVER
            - COERCION
            - FRAUDULENT_ACCESS
            - OTHER
            - UNKNOWN
          example: SCAM
          type: string
        status:
          enum:
            - CREATED
            - TRACKED
            - AWAITING_ANALYSIS
            - ANALYSED
            - REFUNDING
            - COMPLETED
            - CANCELLED
          example: CREATED
          type: string
        updatedAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
      type: object
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
    ContactInformation:
      properties:
        email:
          description: Email is the email address of the customer reporting the fraud
          example: customer@example.com
          type: string
        phone:
          description: |-
            Phone is the phone number of the customer reporting the fraud
            Format: E.164 format recommended (e.g., +5511999999999)
          example: '+5511999999999'
          type: string
      required:
        - email
        - phone
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````